package com.aucma.report.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.aucma.common.annotation.Excel;
import com.aucma.common.core.domain.BaseEntity;

/**
 * 测温记录报表对象 box_temperaturehistory
 *
 * @author Yinq
 * @date 2024-03-13
 */
public class BoxTemperatureHistory extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long objId;

    /**
     * 线号
     */
    @Excel(name = "线号")
    private Long lineNo;

    /**
     * 工位号
     */
    @Excel(name = "工位号")
    private Long gongwno;

    /**
     * 产品条码
     */
    @Excel(name = "产品条码")
    private String cpno;

    /**
     * 产品型号
     */
    @Excel(name = "产品型号")
    private String cpmodel;

    /**
     * 基准型号
     */
    @Excel(name = "基准型号")
    private String factorymodel;

    /**
     * 工作电压
     */
    @Excel(name = "工作电压")
    private Long voltage;

    /**
     * 测试通道
     */
    @Excel(name = "测试通道")
    private String point2;

    /**
     * 计划测试时间
     */
    @Excel(name = "计划测试时间")
    private Long testtime;

    /**
     * 实际测试时间
     */
    @Excel(name = "实际测试时间")
    private Long testedtime;

    /**
     * 环温
     */
    @Excel(name = "环温")
    private Long etemp;

    /**
     * 开始测试时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "开始测试时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date begindatetime;

    /**
     * 测试结果
     */
    @Excel(name = "测试结果")
    private String cpresult;

    /**
     * 测试结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "测试结束时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date enddatetime;

    /**
     * 系统用户
     */
    @Excel(name = "系统用户")
    private String username;

    /**
     * 第几次测试
     */
    @Excel(name = "第几次测试")
    private Long testno;

    /**
     * 温度数据
     */
    @Excel(name = "温度数据")
    private String tempMes;

    /**
     * 功率数据
     */
    @Excel(name = "功率数据")
    private String powerMes;

    /**
     * 部件测试数据
     */
    @Excel(name = "部件测试数据")
    private String partMes;

    /**
     * 是否测试部件（”Y”测试）
     */
    @Excel(name = "是否测试部件", readConverterExp = "”=Y”测试")
    private String isorder;

    /**
     * 低压启动测试时间
     */
    @Excel(name = "低压启动测试时间")
    private Long lowvTime;

    /**
     * 低压启动标准下限
     */
    @Excel(name = "低压启动标准下限")
    private Long lowvPowermin;

    /**
     * 低压启动标准上限
     */
    @Excel(name = "低压启动标准上限")
    private Long lowvPowermax;

    /**
     * 低压启动实际采集值
     */
    @Excel(name = "低压启动实际采集值")
    private Long lowvPowerfact;

    /**
     * 低压启动测试电压
     */
    @Excel(name = "低压启动测试电压")
    private Long lowvoltage;

    /**
     * 同步时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "同步时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date syncDatetime;

    /**
     * 供电频率
     */
    @Excel(name = "供电频率")
    private Long frequency;

    private String productLineCode;

    public String getProductLineCode() {
        return productLineCode;
    }

    public void setProductLineCode(String productLineCode) {
        this.productLineCode = productLineCode;
    }

    public void setObjId(Long objId) {
        this.objId = objId;
    }

    public Long getObjId() {
        return objId;
    }

    public void setLineNo(Long lineNo) {
        this.lineNo = lineNo;
    }

    public Long getLineNo() {
        return lineNo;
    }

    public void setGongwno(Long gongwno) {
        this.gongwno = gongwno;
    }

    public Long getGongwno() {
        return gongwno;
    }

    public void setCpno(String cpno) {
        this.cpno = cpno;
    }

    public String getCpno() {
        return cpno;
    }

    public void setCpmodel(String cpmodel) {
        this.cpmodel = cpmodel;
    }

    public String getCpmodel() {
        return cpmodel;
    }

    public void setFactorymodel(String factorymodel) {
        this.factorymodel = factorymodel;
    }

    public String getFactorymodel() {
        return factorymodel;
    }

    public void setVoltage(Long voltage) {
        this.voltage = voltage;
    }

    public Long getVoltage() {
        return voltage;
    }

    public void setPoint2(String point2) {
        this.point2 = point2;
    }

    public String getPoint2() {
        return point2;
    }

    public void setTesttime(Long testtime) {
        this.testtime = testtime;
    }

    public Long getTesttime() {
        return testtime;
    }

    public void setTestedtime(Long testedtime) {
        this.testedtime = testedtime;
    }

    public Long getTestedtime() {
        return testedtime;
    }

    public void setEtemp(Long etemp) {
        this.etemp = etemp;
    }

    public Long getEtemp() {
        return etemp;
    }

    public void setBegindatetime(Date begindatetime) {
        this.begindatetime = begindatetime;
    }

    public Date getBegindatetime() {
        return begindatetime;
    }

    public void setCpresult(String cpresult) {
        this.cpresult = cpresult;
    }

    public String getCpresult() {
        return cpresult;
    }

    public void setEnddatetime(Date enddatetime) {
        this.enddatetime = enddatetime;
    }

    public Date getEnddatetime() {
        return enddatetime;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getUsername() {
        return username;
    }

    public void setTestno(Long testno) {
        this.testno = testno;
    }

    public Long getTestno() {
        return testno;
    }

    public void setTempMes(String tempMes) {
        this.tempMes = tempMes;
    }

    public String getTempMes() {
        return tempMes;
    }

    public void setPowerMes(String powerMes) {
        this.powerMes = powerMes;
    }

    public String getPowerMes() {
        return powerMes;
    }

    public void setPartMes(String partMes) {
        this.partMes = partMes;
    }

    public String getPartMes() {
        return partMes;
    }

    public void setIsorder(String isorder) {
        this.isorder = isorder;
    }

    public String getIsorder() {
        return isorder;
    }

    public void setLowvTime(Long lowvTime) {
        this.lowvTime = lowvTime;
    }

    public Long getLowvTime() {
        return lowvTime;
    }

    public void setLowvPowermin(Long lowvPowermin) {
        this.lowvPowermin = lowvPowermin;
    }

    public Long getLowvPowermin() {
        return lowvPowermin;
    }

    public void setLowvPowermax(Long lowvPowermax) {
        this.lowvPowermax = lowvPowermax;
    }

    public Long getLowvPowermax() {
        return lowvPowermax;
    }

    public void setLowvPowerfact(Long lowvPowerfact) {
        this.lowvPowerfact = lowvPowerfact;
    }

    public Long getLowvPowerfact() {
        return lowvPowerfact;
    }

    public void setLowvoltage(Long lowvoltage) {
        this.lowvoltage = lowvoltage;
    }

    public Long getLowvoltage() {
        return lowvoltage;
    }

    public void setSyncDatetime(Date syncDatetime) {
        this.syncDatetime = syncDatetime;
    }

    public Date getSyncDatetime() {
        return syncDatetime;
    }

    public void setFrequency(Long frequency) {
        this.frequency = frequency;
    }

    public Long getFrequency() {
        return frequency;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("objId", getObjId())
                .append("lineNo", getLineNo())
                .append("gongwno", getGongwno())
                .append("cpno", getCpno())
                .append("cpmodel", getCpmodel())
                .append("factorymodel", getFactorymodel())
                .append("voltage", getVoltage())
                .append("point2", getPoint2())
                .append("testtime", getTesttime())
                .append("testedtime", getTestedtime())
                .append("etemp", getEtemp())
                .append("begindatetime", getBegindatetime())
                .append("cpresult", getCpresult())
                .append("enddatetime", getEnddatetime())
                .append("username", getUsername())
                .append("remark", getRemark())
                .append("testno", getTestno())
                .append("tempMes", getTempMes())
                .append("powerMes", getPowerMes())
                .append("partMes", getPartMes())
                .append("isorder", getIsorder())
                .append("lowvTime", getLowvTime())
                .append("lowvPowermin", getLowvPowermin())
                .append("lowvPowermax", getLowvPowermax())
                .append("lowvPowerfact", getLowvPowerfact())
                .append("lowvoltage", getLowvoltage())
                .append("syncDatetime", getSyncDatetime())
                .append("frequency", getFrequency())
                .toString();
    }
}
